
--// 9/11

function onCreate()
	--triggerEvent('Add Camera Zoom', '-0.4', '')
	--setProperty('gf.visible', false)
	--setProperty('dad.visible', false)
end

function crash()
	cameraFade("camGame", "000000", 0)
	cameraFlash("camHud", "FFFFFF", 1)
	setproperty('defaultCamZoom', 0)
end

local stepFuncs = {
	--// darnell plane
	[250+126] = function()
		doTweenX("dadTweenCrash", "dad", 900, 0.3, "linearIn")
	end,

	--// 9/11
	[252+126] = crash,
	[280+126] = crash
}

function onStepHit()
	if stepFuncs[curStep] then
		stepFuncs[curStep]()
	end
end